#
# spec file for package python-tripleoclient
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global sname python-tripleoclient
%if 0%{?rhel} || 0%{?fedora}
%global rdo 1
%endif
Name:           python-tripleoclient
Version:        11.1.0
Release:        3.3
Summary:        OpenstackClient plugin for tripleoclient
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/%{sname}
Source0:        https://files.pythonhosted.org/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-cliff
BuildRequires:  python-devel
BuildRequires:  python-fixtures
BuildRequires:  python-heatclient
BuildRequires:  python-ironic-inspector-client
BuildRequires:  python-ironicclient
BuildRequires:  python-mock
BuildRequires:  python-openstackclient
BuildRequires:  python-passlib
BuildRequires:  python-psutil
BuildRequires:  python-requests-mock
BuildRequires:  python-testrepository
BuildRequires:  python-testscenarios
BuildRequires:  python-testtools
BuildRequires:  python-tripleo-common
BuildRequires:  python-zaqarclient
Requires:       python-Babel
Requires:       python-cliff
Requires:       python-heatclient
Requires:       python-ipaddress
Requires:       python-ironic-inspector-client
Requires:       python-ironicclient
Requires:       python-mistralclient
Requires:       python-openstackclient
Requires:       python-passlib
Requires:       python-psutil
Requires:       python-simplejson
Requires:       python-six
Requires:       python-tripleo-common
Requires:       python-websocket-client
Requires:       python-zaqarclient
BuildArch:      noarch
%if 0%{?rdo}
BuildRequires:  hostname
%endif

%description
python-tripleoclient is a Python plugin to OpenstackClient
for TripleO.

%package doc
Summary:        Documentation for OpenstackClient plugin for tripleoclient
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme

%description      doc
python-tripleoclient is a Python plugin to OpenstackClient
for TripleO.
This package contains auto-generated documentation.

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
%{py2_build}

PYTHONPATH=. sphinx-build -b html doc/source doc/build/html
PYTHONPATH=. sphinx-build -b man doc/source doc/build/man
# remove the Sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{py2_install}
# man page
install -p -D -m 644 doc/build/man/python-tripleoclient.1 %{buildroot}%{_mandir}/man1/python-tripleoclient.1

%check
%{__python2} setup.py testr

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/tripleoclient
%{python2_sitelib}/*.egg-info
%{_mandir}/man1/python-tripleoclient.1.gz

%files doc
%license LICENSE
%doc doc/build/html

%changelog
